Bug 470761 (CVE-2008-5134) - CVE-2008-5134 kernel: libertas: fix buffer overrun
Summary: CVE-2008-5134 kernel: libertas: fix buffer overrun
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-5134
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 470762
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 03:52 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 21:11:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0053 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2009-02-04 15:05:12 UTC

Description Eugene Teo (Security Response) 2008-11-10 03:52:53 UTC
Description of problem:
From: Johannes Berg <johannes@sipsolutions.net>

If somebody sends an invalid beacon/probe response, that can trash the whole BSS descriptor. The descriptor is, luckily, large enough so that it cannot scribble past the end of it; it's well above 400 bytes long.

Comment 1 Eugene Teo (Security Response) 2008-11-10 03:53:04 UTC
Reference: http://article.gmane.org/gmane.linux.kernel.wireless.general/23049

Comment 5 Eugene Teo (Security Response) 2008-12-05 05:32:04 UTC
The driver was included in the upstream kernel since 2.6.22. We did not backport it to our RHEL kernels.

Comment 10 Eugene Teo (Security Response) 2008-12-11 00:03:29 UTC
Our official statement can be found at:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2008-5134

Comment 12 Kurt Seifried 2011-09-30 21:11:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise MRG v1 for Red Hat Enterprise Linux (version 5)
  
Via RHSA-2009:0053 available at https://rhn.redhat.com/errata/RHSA-2009-0053.html


Note You need to log in before you can comment on or make changes to this bug.